cyrus-sasl2 (2.1.28+dfsg1-5) unstable; urgency=medium

  * Team upload
  * Fix implicit function declaration (Closes: #1066214)
  * Prevent linking via intersphinx (Closes: #1065436)
  * Extend the time_t format specifiers to long long (Closes: #1066811)

 -- Bastian Germann <bage@debian.org>  Wed, 20 Mar 2024 19:03:11 +0000

cyrus-sasl2 (2.1.28+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Clean docsrc/exts/themes (Closes: #1045111)
  * Drop gen-auth and saslfinger
  * Remove Uploaders who contributed more than a decade ago
  * Remove myself from Uploaders

 -- Bastian Germann <bage@debian.org>  Sat, 11 Nov 2023 22:17:13 +0100

cyrus-sasl2 (2.1.28+dfsg1-3) unstable; urgency=medium

  * Let libsasl2-dev depend on libssl-dev (Closes: #1042937)

 -- Bastian Germann <bage@debian.org>  Fri, 04 Aug 2023 00:35:18 +0200

cyrus-sasl2 (2.1.28+dfsg1-2) unstable; urgency=medium

  * Eliminate RSA-MD from binaries (Closes: #748061)

 -- Bastian Germann <bage@debian.org>  Tue, 01 Aug 2023 16:16:30 +0200

cyrus-sasl2 (2.1.28+dfsg1-1) unstable; urgency=medium

  * Exclude crypto-compat
  * New upstream version 2.1.28+dfsg1
  * Get rid of BSD-4-clause-KTH
  * Use SPDX name for the primary license
  * Add Turkish translation (Closes: #1036910)

  [ Andreas Hasenack ]
  * d/t/saslauthd: fix test flakiness (Closes: #1036893)

 -- Bastian Germann <bage@debian.org>  Mon, 05 Jun 2023 23:24:14 +0200

cyrus-sasl2 (2.1.28+dfsg-11) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + cyrus-sasl2-doc: Add Multi-Arch: foreign.

  [ Bastian Germann ]
  * Add Romanian translation (Closes: #1031499)
  * Fix lintian depends-on-obsolete-package (lsb-base)
  * Add saslauthd.service (Closes: #981438)
  * Remove dh_installinit params
  * Install saslauthd.service similar to saslauthd.init
  * Drop old NEWS
  * Fix systemd-service-file-missing-documentation-key

 -- Bastian Germann <bage@debian.org>  Wed, 01 Mar 2023 00:52:04 +0100

cyrus-sasl2 (2.1.28+dfsg-10) unstable; urgency=medium

  [ Helmut Grohne ]
  * Explicitly B-D on libcrypt-dev (Closes: #1024644)

 -- Bastian Germann <bage@debian.org>  Tue, 22 Nov 2022 17:48:33 +0100

cyrus-sasl2 (2.1.28+dfsg-9) unstable; urgency=medium

  * d/watch: Scan GitHub release API

  [ Helmut Grohne ]
  * Depend on ABI-less libc-dev rather than libc6-dev (Closes: #1023838)

 -- Bastian Germann <bage@debian.org>  Fri, 11 Nov 2022 12:27:36 +0100

cyrus-sasl2 (2.1.28+dfsg-8) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Add SASL channel binding support for GSSAPI and GSS-SPNEGO
    (LP: #1912256):
    - d/p/0034-channel-binding-gssapi-gss-spnego.patch: add SASL channel
      binding support for GSSAPI and GSS-SPNEGO
    - d/p/0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-1.patch:
      allow setting maxssf to 0 when using GSS-SPNEGO inside SSL/TLS
    - d/p/0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-2.patch:
      be more conformant to RFC4752

 -- Bastian Germann <bage@debian.org>  Mon, 05 Sep 2022 14:30:39 +0200

cyrus-sasl2 (2.1.28+dfsg-7) unstable; urgency=medium

  * d/tests: Relicense to GPL-3
  * Patch: honor log level option on clients (LP: #827151)

 -- Bastian Germann <bage@debian.org>  Thu, 18 Aug 2022 23:24:01 +0200

cyrus-sasl2 (2.1.28+dfsg-6) unstable; urgency=high

  * d/copyright: Add debian/tests info

  [ Andreas Hasenack ]
  * d/p/0026-Gracefully-handle-failed-init.patch (Closes: #1011249)
  * d/p/0027-Catch-errors-from-EVP_Digest-functions.patch
  * d/p/0029-Load-OpenSSL3-legacy-provider-digestmd5.patch
  * d/t/{control,shared-secret-mechs}: test shared secret mechanisms

 -- Bastian Germann <bage@debian.org>  Thu, 19 May 2022 22:10:49 +0200

cyrus-sasl2 (2.1.28+dfsg-5) unstable; urgency=medium

  * Recover upstream-compatible debian/* license
  * debian/po: Convert non-UTF-8 to UTF-8
  * Patch: Fix time.h check (fixes implicit-function-declarations)

  [ Andreas Hasenack ]
  * d/t/{control,pluginviewer}: test available mechanisms
  * d/t/{control,saslauthd}: saslauthd tests with multiple mechanisms
  * d/t/{control,gssapi}: test for SASL GSSAPI using OpenLDAP

 -- Bastian Germann <bage@debian.org>  Sat, 14 May 2022 14:32:58 +0200

cyrus-sasl2 (2.1.28+dfsg-4) unstable; urgency=medium

  * d/copyright: java/* files were removed upstream
  * d/copyright: Reformat the default license's margin
  * d/copyright: Add project's license to include/makemd5.c
  * Move SCRAM to libsasl2-modules (Closes: #977360)
  * Install additional GS2 module for Heimdal
  * Remove Roberto from the Uploaders
  * Drop 0005-Fixes-in-library-mutexes.patch
  * Drop 0021-Fix-keytab-option-for-MIT-Kerberos.patch
  * Remove former logcheck conffile (Closes: #1009851)
  * lintian: Fix excessive-priority-for-library-package
  * lintian: Fix package-contains-empty-directory

 -- Bastian Germann <bage@debian.org>  Wed, 20 Apr 2022 01:01:01 +0200

cyrus-sasl2 (2.1.28+dfsg-3) unstable; urgency=high

  * Set MIT/Heimdal CFLAGS instead of CPPFLAGS
  * Drop unnecessary 0027-properly-create-libsasl2.pc.patch
  * Prevent installing outdated ChangeLog (Closes: #1009681)
  * Remove debug log message and its logcheck rule (Closes: #805310)
  * Self-reference pluginviewer man as saslpluginviewer (Closes: #1009380)
  * Get rid of broken README.configure-options
  * Add sasldbconverter2.8 manpage
  * d/copyright: Add missing KTH license
  * Install libsasl.5 manpage

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Bastian Germann <bage@debian.org>  Fri, 15 Apr 2022 12:02:13 +0200

cyrus-sasl2 (2.1.28+dfsg-2) unstable; urgency=medium

  * Remove cruft

 -- Bastian Germann <bage@debian.org>  Fri, 25 Feb 2022 18:58:54 +0100

cyrus-sasl2 (2.1.28+dfsg-1) experimental; urgency=medium

  * Drop upstream patches
  * Import new release signing key
  * Reset repacksuffix
  * New upstream version 2.1.28+dfsg (CVE-2022-24407)
  * Rebase 0027-properly-create-libsasl2.pc.patch

 -- Bastian Germann <bage@debian.org>  Tue, 22 Feb 2022 23:40:47 +0100

cyrus-sasl2 (2.1.27+dfsg2-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Fix configure.ac for autoconf 2.70 (Closes: #1003355, #1000152)

 -- Bastian Germann <bage@debian.org>  Tue, 11 Jan 2022 11:25:37 +0100

cyrus-sasl2 (2.1.27+dfsg2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #928512)
    + cross.patch: Support caching SPNEGO support test.
    + Provide SPNEGO support test result.

  [ Vagrant Cascadian ]
  * Set date in man pages (Closes: #995145)

 -- Bastian Germann <bage@debian.org>  Wed, 17 Nov 2021 01:23:49 +0100

cyrus-sasl2 (2.1.27+dfsg2-1) unstable; urgency=medium

  * Add bage to uploaders (Closes: #799864)
  * Use upstream patches where possible
  * Amend off-by-one in _sasl_add_string function
  * Replace some patches by upstream equivalents
  * Apply the patches in order of to their prefixes
  * Add missing caret (^) in logcheck rule (Closes: #830764)
  * Remove unnecessary GPL copy
  * Add missing copyright/licenses
  * Repack, getting rid of more problematic files
  * Build html documentation
  * Make the package rebuildable
  * Remove outdated README.Debian info
  * Disable autostart via debhelper
  * Drop unnecessary patch
  * Remove alternative, old build dep libmysqlclient-dev
    Annotate documentation Build-Depends with :native

  [ Frédéric Brière ]
  * Make logcheck snippet compatible with systemd journal

 -- Bastian Germann <bage@debian.org>  Sun, 14 Nov 2021 14:11:18 +0100

cyrus-sasl2 (2.1.27+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/watch: Check the github releases page
  * Get rid of a patch's patch
  * Recover upstream-compatible patch license (Closes: #996866)
    + Relicense libobj patch
  * Fix lintian: unused-override
  * Patch: Prevent double free of RC4 context (Closes: #722611)
  * Rename double-prefix patches

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure), Repository, Repository-Browse.
  * Fix day-of-week for changelog entry 2.1.7-1.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Bastian Germann <bage@debian.org>  Fri, 05 Nov 2021 21:58:22 +0100

cyrus-sasl2 (2.1.27+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vagrant Cascadian ]
  * Fix Sphinx errors (Closes: #995123)

 -- Michael Banck <michael.banck@credativ.de>  Wed, 27 Oct 2021 17:57:34 +0200

cyrus-sasl2 (2.1.27+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Sphinx errors (Closes: #955095)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 07 Feb 2021 10:43:14 +0100

cyrus-sasl2 (2.1.27+dfsg-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Off-by-one in _sasl_add_string function (CVE-2019-19906) (Closes: #947043)

 -- Roberto C. Sanchez <roberto@debian.org>  Thu, 26 Dec 2019 09:48:32 -0500

cyrus-sasl2 (2.1.27+dfsg-1) unstable; urgency=medium

  [ Ryan Tandy ]
  * Fix libsasl2-2 incorrectly depending on GSSAPI libraries.
    (Closes: #917129)
  * Restore changes from NMU versions
    2.1.27~101-g0780600+dfsg-3 and 2.1.27~101-g0780600+dfsg-3.1
    (Closes: #917140)

  [ Ondřej Surý ]
  * Upload to unstable.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Jan 2019 08:53:59 +0000

cyrus-sasl2 (2.1.27+dfsg-1~exp1) experimental; urgency=medium

  [ Roberto C. Sanchez ]
  * Change email in d/control
  * Apply uversionmangle option in d/watch for correct upstream version
    sort

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #792851)
    + 0033-cross.patch: Drop -ldb from make depends.
  * Use $(CC) instead of gcc in d/sample/Makefile

  [ Ondřej Surý ]
  * Add upstream tarball signing key
  * Update d/watch and d/copyright to use gbp import-orig ability to
    repack the tarball
  * New upstream version 2.1.27+dfsg
  * Bump policy to current version and debhelper compat level to 12
  * Upstream supports only a single plugindir now, switch to M-A plugindir
  * Build libsasl2-modules-gssapi-heimdal against heimdal
    + Install heimdal build into separate tmp directory and strip rpath
      from it (Closes: #880393)
  * Replace extra priority with optional
  * Add Pre-Depends: ${misc:Pre-Depends} to sasl2-bin for systemd predepends
  * Add libpod-pom-view-restructured-perl to B-D to regenerate documentation
  * Add a patch to stop importing docutils_version in sphinx-build manpage helper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Jan 2019 09:47:50 +0000

cyrus-sasl2 (2.1.27~rc8-1) unstable; urgency=medium

  * New upstream version 2.1.27~rc8
  * Rebase patches for Cyrus SASL 2.1.27~rc8
  * Cleanup d/control

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Oct 2018 08:05:10 +0000

cyrus-sasl2 (2.1.27~rc4-1) unstable; urgency=medium

  * New upstream version 2.1.27~rc4
  * Refresh patches for 2.4.27~rc4 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Sep 2017 09:53:57 +0200

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Add support for build-profiles. (Closes: #894297)

 -- Karsten Merker <merker@debian.org>  Sat, 21 Apr 2018 18:20:16 +0200

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-3) unstable; urgency=medium

  [ Holger Levsen ]
  * NMU to help with #856847.

  [ Andreas Beckmann ]
  * libsasl2-modules.postinst: Remove executable permissions from
    /etc/logcheck/ignore.d.server/libsasl2-modules on upgrades from jessie.
    (Closes: #819893)

 -- Holger Levsen <holger@debian.org>  Sun, 19 Mar 2017 12:30:33 +0000

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-2) unstable; urgency=medium

  * Reinstate Heimdal Kerberos support (Closes: #849706)
  * Add TLS to http protocol links in d/control

 -- Ondřej Surý <ondrej@debian.org>  Sat, 31 Dec 2016 15:59:34 +0100

cyrus-sasl2 (2.1.27~101-g0780600+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.27~101-g0780600+dfsg
  * Rebase patches on top of 2.1.27~101-g0780600+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Nov 2016 13:35:52 +0100

cyrus-sasl2 (2.1.27~72-g88d82a3+dfsg-1) unstable; urgency=low

  * Imported Upstream version 2.1.27~72-g88d82a3+dfsg
  * Switch repack.sh to repack.stub
  * Remove d/autoreconf, not needed anymore
  * Disable 0006-Link-with-libsasldb.a-instead-of-libsasldb.al.patch to
    fix FTBFS
  * Update d/control with heimdal removal
  * Run wrap-and-sort -a over d/ directory
  * Update Conflicts/Replaces for new 2.1.27 git snapshot
  * Rebase patches on top of 2.1.27~72-g88d82a3+dfsg
  * Update d/rules to remove heimdall and more cleanups
  * Remove heimdal packages (Closes: #837724)
  * Change linking from sasldb/.libs/libsasldb.al to sasldb/libsasldb.la
  * Cleanup LTLIBOBJS for modern autotools
  * Add ${with_pgsql}include/postgresql/ to include path
  * Add default Debian hardening to sample server and client
  * Fix some lintian errors
  * Update and fix d/copyright after major d/ rewrite
  * Fix more libsasl2.pc variables

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Oct 2016 17:39:20 +0200

cyrus-sasl2 (2.1.26.dfsg1-16) unstable; urgency=medium

  * Add trailing slash to find command in init script, so people can have
    /etc/default as symlink (Closes: #791814)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Mar 2016 14:06:38 +0100

cyrus-sasl2 (2.1.26.dfsg1-15) unstable; urgency=medium

  * Add fix for auth_rimap infinite loop (hang) when IMAP server closes
    connection (Closes: #815208)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Mar 2016 11:54:40 +0100

cyrus-sasl2 (2.1.26.dfsg1-14) unstable; urgency=medium

  * [CVE-2013-4122]: Handle NULL returns from glibc 2.17+ crypt()
    (Closes: #784112)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 23 Sep 2015 14:35:31 +0200

cyrus-sasl2 (2.1.26.dfsg1-13) unstable; urgency=medium

  * Shutdown down the write side of the socket and wait for the client to
    close the connection (0 byte read) before closing the server side
    (Closes: #777349) (Courtesy of Kees Cook)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 09 Mar 2015 14:21:23 +0100

cyrus-sasl2 (2.1.26.dfsg1-12) unstable; urgency=medium

  * Add patch to fix login to dovecot imapd 2.x (Closes: #715040)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 17 Oct 2014 14:41:06 +0200

cyrus-sasl2 (2.1.26.dfsg1-11) unstable; urgency=medium

  * Create libsasl2.pc from Makefile for proper substitions
    (Closes: #754066)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Jul 2014 10:59:23 +0200

cyrus-sasl2 (2.1.26.dfsg1-10) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Actually install the logcheck snippet in the package (Closes: #732771)
  * Build-Depend on 'automake (>=1:1.14)', as automake in wheezy no longer
    builds this package

  [ Ondřej Surý ]
  * Install libsasl2.pc into libsasl2-dev package (Closes: #752907)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 09:18:27 +0200

cyrus-sasl2 (2.1.26.dfsg1-9) unstable; urgency=high

  * saslauthd: refuse to start if debug option (-d) is set in options
    passed to init script (Closes: #558014)
  * Fix FTBFS with clang (Closes: #739561)
  * libsasl2-2: Restore empty /usr/lib/sasl2 directory (Closes: #739601)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 02 Mar 2014 09:22:47 -0500

cyrus-sasl2 (2.1.26.dfsg1-8) unstable; urgency=low

  * Fix buginess that results in the keytab configuration option not
    working on MIT Kerberos (Closes: #651308).
  * Remove obsolete deversion from cyrus-sasl2-heimdal-dbg (Closes: #664729)
  * Release server credentials when longer needed to prevent running out of
    file descriptors (Closes: #722569).
  * Incorporate new watch file.
  * Update to Standards-Version 3.9.5 (no changes).
  * Make saslauthd init script stop in run levels 0 and 6 (Closes: #608351).
  * Add logcheck snippet to suppress "DIGEST-MD5 common mech free" messages
    (Closes: #732771, #631932).
  * Make DEB_BUILD_OPTIONS no-ldap, no-gssapi, no-sql actually work,
    thanks to Daniel Schepler for the patch (Closes: #724513).
  * Rename libsasl2-3 back to libsasl2-2, ABI breakage has already been
    handle previously and SONAME bump is not necessary.
  * Include sys/types.h in sasl.h (Closes: #719165).
  * Fix transposition of realm and service in debug log (Closes: #732373).
  * Add Polish debconf translation, thanks to Michał Kułach (Closes: #661249).
  * Changes to make lintian happy:
    + Use canonical URIs for Vcs-Browser and Vcs-Git control fields.
    + Make -dbg packages "Multi-Arch: same" so they are co-installable
    + Re-format NEWS file to get rid of changelog-style formatting

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 11 Feb 2014 18:58:43 -0500

cyrus-sasl2 (2.1.26.dfsg1-7) experimental; urgency=low

  * Add libsasl2-modules-db to the include/exclude lists in debian/rules.

 -- Adam Conrad <adconrad@0c3.net>  Sun, 06 Oct 2013 20:12:53 -0600

cyrus-sasl2 (2.1.26.dfsg1-6) experimental; urgency=low

  * Split libsasl2-modules-db out of libsasl2-modules, so we can depend on
    it for smooth upgrades from wheezy without pulling in all the modules.
  * Explicitly build-depend on libkrb5-dev to fix FTBFS. (Closes: #724147)

 -- Adam Conrad <adconrad@0c3.net>  Sun, 06 Oct 2013 18:52:15 -0600

cyrus-sasl2 (2.1.26.dfsg1-5) experimental; urgency=low

  * Use --ignore-fail-on-non-empty option to rmdir instead of non-existent -f
    (Closes: #714601)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Jul 2013 12:06:53 +0200

cyrus-sasl2 (2.1.26.dfsg1-4) experimental; urgency=low

  * Change depend on libsasl2-modules to libsasl2-2 in libsasl2-dev
    (Closes: #714514)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Jul 2013 09:30:51 +0200

cyrus-sasl2 (2.1.26.dfsg1-3) experimental; urgency=low

  * Purge /usr/lib/sasl2/berkeley_db.active if the /etc/sasldb2 was purged
    or doesn't exist

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2013 10:08:09 +0200

cyrus-sasl2 (2.1.26.dfsg1-2) experimental; urgency=low

  * Ensure libsasl2-3 coinstallability with libsasl2-2
   + Install berkeley_db.txt to sasl2-bin (Closes: #713932)
   + Move sasldb plugin from libsasl2-3 to libsasl2-modules
     (Closes: #714091)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2013 10:08:09 +0200

cyrus-sasl2 (2.1.26.dfsg1-1) experimental; urgency=low

  * New upstream version 2.1.26.dfsg1
  * Update patches for 2.1.26 release
  * libsasl2-2 -> libsasl2-3 transition (Closes: #665476)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2013 13:06:51 +0200

cyrus-sasl2 (2.1.25.dfsg1-7) unstable; urgency=low

  * Use AC_CONFIG_MACRO_DIRS instead of AC_CONFIG_MACRO_DIR (Closes: #711219)
  * Fix heavy CPU usage in saslauthd (Closes: #708552)
  * Send LOGOUT before closing connection in auth_rimap (Closes: #708547)
  * Fix garbage in output buffer when using canonuser_plugin: ldapdb
    (Closes: #689346)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2013 13:41:17 +0200

cyrus-sasl2 (2.1.25.dfsg1-6) unstable; urgency=low

  * Fix failures when the host have broken hostname (Closes: #683555)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Oct 2012 14:06:11 +0200

cyrus-sasl2 (2.1.25.dfsg1-5) unstable; urgency=low

  * New sourceful upload (Closes: #676914)
  * Relabel /run directory for SE Linux (Closes: #677685)
  * Add a NEWS file about auxprop_plugin mysql->sql change
    (Closes: #680476)
  * Improve documentation on LDAP_SASLAUTHD file (Closes: #671015)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Aug 2012 13:34:27 +0200

cyrus-sasl2 (2.1.25.dfsg1-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * Lintian says we need debhelper >= 9, so we need debhelper >= 9

  [ Helmut Grohne ]
  * Breaks: slapd < 2.4.25-4 (Closes: #655845)
  * Introduce shlib dependency on 2.1.24 for libsasl2-2. (Closes:
    #628237)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 04 Mar 2012 09:30:55 +0100

cyrus-sasl2 (2.1.25.dfsg1-3) unstable; urgency=low

  [ Thomas Preud'homme ]
  * Stop relying on the structure of debugging package
    (Closes: #653725).

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2012 08:47:04 +0100

cyrus-sasl2 (2.1.25.dfsg1-2) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Update README.source to reflect quilt usage instead of dpatch

  [ Ondřej Surý ]
  * Fix missing pam library due MultiArch (Closes: #643331)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Sep 2011 13:00:26 +0200

cyrus-sasl2 (2.1.25.dfsg1-1) unstable; urgency=low

  * Imported Upstream version 2.1.25.dfsg1
  * Refresh patches to the new release
  * sasldbconverter2.8 man page was removed from upstream tarball
  * Adapt debian/rules to SONAME change
  * Fix FTBFS with MultiArch heimdal libraries (Closes: #642681)
  * Add Catalan translation (Closes: #641826)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 26 Sep 2011 10:08:32 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-6) unstable; urgency=low

  * Add Breaks: postfix (<= 2.8.3-1) so it doesn't get upgraded until
    postfix sasl code is ready for MultiArch

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Aug 2011 16:03:29 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-5) unstable; urgency=low

  * Add MultiArch support (Courtesy of Steve Langasek) (Closes: #637968)
  * Add both patch(es) to fix authentication issue with dovecot
    (Closes: #635246)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2011 09:43:32 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-4) unstable; urgency=low

  * Fix yet another upstream segfault breakage in GSSAPI from CVS
    (Closes: #629589)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 08 Jun 2011 08:37:13 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-3) unstable; urgency=low

  [ Dan White ]
  * Fix GSSAPI breakage by reverting revision 1.103 of plugins/gssapi.c
    (Closes: #628525)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Jun 2011 11:14:18 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-2) unstable; urgency=low

  * Upload to unstable
  * One more AC_CACHE_VAL without _cv_ fix
  * Update Vcs-* links
  * Add gs2 and scram modules to libsasl2-modules-gssapi-mit
    (Closes: #628067)
  * Revert "Change gbp.conf for experimental branch"
  * Add lintian-override for libsasl2-modules-gssapi-mit: possible-gpl-
    code-linked-with-openssl

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 May 2011 17:05:30 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1+cvs2011-05-23-1) experimental; urgency=low

  * Imported Upstream version 2.1.24~rc1.dfsg1+cvs2011-05-23
  * Adapt patches to new CVS checkout
  * Upload to experimental first to be sure everything works

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 May 2011 10:38:59 +0200

cyrus-sasl2 (2.1.24~rc1.dfsg1-1) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * libsasl2-2.README.Debian: document that SASL logs debug messages by
    default, and how change/stop it (Closes: #590598)
  * Bump Standards-Version to 3.9.2 (no changes)
  * Remove Build-Depends on libopie-dev, which was removed
    (Closes: #622221)

  [ Ondřej Surý ]
  * Patch to support newer Berkeley DB (Closes: #621437)
  * Remove /etc/sasldb2 in prerm remove if empty (Closes: #618885)
  * Improve Berkeley DB upgrade code to note the used version in
    berkeley_db.active file and compare it with current version
  * Convert debian/rules to debhelper7
  * Update Vcs-* and Homepage fields
  * Fix autoreconf by adding some recommended options to configure.in
    and Makefile.am
  * Imported Upstream version 2.1.24~rc1.dfsg1
  * Update patches to new release
  * Update repack.sh
  * Build against sqlite3 since upstream has a support for it
    (Closes: #444799)
  * Fix FTBFS in LDAP plugin
  * Don't use .la files to open plugins, just scan .so
  * Set configdir to /etc/sasl2:/etc/sasl:/usr/lib/sasl2
    (Closes: #465569)
  * Stop shipping .la and .a files for all modules (Closes: #516833)
  * sasl2-bin can depend on generic db-util package now
  * Add myself to uploaders
  * Removed hardcoded -R option when searching for sqlite libraries
  * Fix Sqlite3 FTBFS due missing link libraries in plugins/

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 May 2011 21:57:11 +0200

cyrus-sasl2 (2.1.23.dfsg1-8) unstable; urgency=low

  * Eliminate getsubopt conflict when building with glibc 2.2, thanks to
    Colin Watson for the patch (Closes: #588528)
  * Convert package from using dpatch to using quilt
  * debian/sasl2-bin.saslauthd.init: Properly handle $(OPTIONS) missing from
    defaults file (Closes: #515534)
  * Bump Standards-Version to 3.9.1 (no changes)
  * cyrus-sasl2-dbg: Demote dependency on cyrus-sasl2-{mit,heimdal}-dbg to
    a recommendation (Closes: #607558)
  * Enable hardening features (Closes: #542725)
  * Fix FTBFS, add $(SASL_DB_LIB) as dependency to libsasldb, and use it.
    Thanks to Matthias Klose for the patch (Closes: #609237)
  * Drop gratuitous dependency on krb5support (Closes: #528238)
  * Ship docs on testing with sasl-sample-{client,server} (Closes: #516542)
  * Allow getting saslauthd status with '/etc/init.d/saslauthd status'.
    Thanks to Raoul Bhatia for the patch (Closes: #589181)
  * Fix documentation on saslauthd runtime directory perms (Closes: #528554)
  * Add Danish translation, thanks to Joe Dalton.  (Closes: #585553)
  * Change to machine readable copyright file (Closes: 470948)
  * Improve documentation on location of socket directory based on whether
    Postfix runs inside or outside a chroot, thanks to Walter Rohrer for the
    suggestion.  (Closes: #528553)
  * Start shipping gen-auth (Closes: #459624)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Drop Conflicts/Replaces for pre-Lenny and pre-Sarge versions of packages

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 16 Mar 2011 22:42:49 -0400

cyrus-sasl2 (2.1.23.dfsg1-7) unstable; urgency=low

  [ Luca Capello ]
  * Fix for (Closes: #601977), the idea coming from Gaudenz Steinlin
    <gaudenz@debian.org>:
    + debian/control:
      - cyrus-sasl2-dbg Depends: on one of the two GSSAPI dbg packages.
      - new cyrus-sasl2-mit-dbg package which Conflicts: with
        cyrus-sasl2-heimdal-dbg.
      - cyrus-sasl2-heimdal-dbg now Conflicts: with cyrus-sasl2-mit-dbg.
    + debian/cyrus-sasl2-heimdal-dbg.preinst:
      - remove, useless.
    + debian/cyrus-sasl2-heimdal-dbg.postrm:
      - remove, useless.
    + debian/cyrus-sasl2-mit-dbg.dirs:
      - create /usr/lib/debug/usr/lib/sasl2/.
    + debian/rules:
      - mv MIT libgssapiv2.so.2.0.23 into cyrus-sasl2-mit-dbg.

  [ Roberto C. Sanchez ]
  * Thanks to Luca Capello for providing the patch.

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 18 Dec 2010 11:14:59 -0500

cyrus-sasl2 (2.1.23.dfsg1-6) unstable; urgency=low

  * Acknowledge NMU (thanks to Ben Hutchings)
  * Merge cyrus-sasl2 and cyrus-sasl2-heimdal source packages (Closes: #568358)
    + Build against new heimdal-multidev (Closes: #591147)
  * Properly detect presence of Heimdal (Closes: #590912); thanks tremendously
    to Russ Allbery for the patch

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 19 Aug 2010 20:45:57 -0400

cyrus-sasl2 (2.1.23.dfsg1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove incorrect conflict between cyrus-sasl2-dbg and
    cyrus-sasl2-heimdal-dbg (Closes: #590759); the conflicting file
    is now diverted by the latter

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 29 Jul 2010 03:34:07 +0100

cyrus-sasl2 (2.1.23.dfsg1-5) unstable; urgency=low

  * Finish switch to db4.8 by changing db4.7-util dependency to db4.8-util
    (Closes: #562895)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 28 Dec 2009 18:12:26 -0500

cyrus-sasl2 (2.1.23.dfsg1-4) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/control, debian/sasl2-bin.postinst,
    debian/patches/0017_db4.8.dpatch: Bump libdb version to 4.8.
    (Closes: #556609)
  * debian/rules, debian/sasl2-bin.postinst, debian/sasl2-bin.saslauthd.init:
    No longer explicitly run stop init script on shutdown and reboot.
    (Closes: #560748)
  * debian/sasl2-bin.postinst: Don't attempt sasldb upgrade if the database
    file does not exist. (Closes: #521852)
  * debian/sasl2-bin.saslauthd.init: Fix return code comparisons.
    (Closes: #525424)
  * debian/control: Change upstream home page, this seems to be the active
    page and the old one contains less useful information.

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 28 Dec 2009 13:37:20 +0200

cyrus-sasl2 (2.1.23.dfsg1-3) unstable; urgency=low

  * Acknowledge NMU (Thanks to Christian Perrier)
  * Change package priority important -> standard, because of override
    disparity email

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 07 Nov 2009 09:31:23 -0500

cyrus-sasl2 (2.1.23.dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - French (Odile Bénassy).  Closes: #518593

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Nov 2009 08:04:09 +0100

cyrus-sasl2 (2.1.23.dfsg1-2) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/control: Change Vcs-* fields to point to trunk.
  * debian/rules: Remove build-indep-stamp and build-arch-stamp when cleaning
    up (from Ubuntu) (Closes: #516538).
  * debian/patches/0014_avoid_pic_overwrite.dpatch: Also apply to
    lib/Makefile.am. Thanks to Amadeu A. Barbosa Jr. (Closes: #502910)

  [ Roberto C. Sanchez ]
  * Acknowledge NMU (thanks to Andreas Barth)
  * Document the sync mechanism between cyrus-sasl2 and cyrus-sasl2-heimdal.
    Urgency 'high' since current package is uninstallable.
  * Bump Standards-Version to 3.8.3 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 07 Oct 2009 21:45:57 -0400

cyrus-sasl2 (2.1.23.dfsg1-1.1) unstable; urgency=medium

  * Build-Depend also on mysqlclient-dev. Closes: #542904
  * Conflict cyrus-sasl2-heimdal-dbg as both packages provide the file
    /usr/lib/debug/usr/lib/sasl2/libgssapiv2.so.2.0.23 Closes: #530781

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 29 Aug 2009 11:47:55 +0200

cyrus-sasl2 (2.1.23.dfsg1-1) unstable; urgency=high

  * New upstream release
    - Security fix for CVE-2009-0688 (Closes: #528749).
    - debian/patches/0020_saslauthd_manpage.dpatch: Remove, integrated
      upstream.
    - debian/rules: Change chrpath invocation to match new version number of
      libsql.so.

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 24 May 2009 20:56:01 +0300

cyrus-sasl2 (2.1.22.dfsg1-26) UNRELEASED; urgency=low

  * NOT RELEASED
  * debian/control: Set section to debug to match override.

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 10 May 2009 09:55:01 +0300

cyrus-sasl2 (2.1.22.dfsg1-25) unstable; urgency=high

  * debian/patches/0017_db4.7.dpatch: Update db4.6 patch to db4.7.
    (Closes: #523007)

 -- Fabian Fagerholm <fabbe@debian.org>  Sun, 10 May 2009 08:51:30 +0300

cyrus-sasl2 (2.1.22.dfsg1-24) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/patches/0021_no_mutex_changes_after_init.dpatch: Added patch to
    disallow mutex function changes once sasl_client_init and/or
    sasl_server_init have been called. Hand-picked and applied from upstream
    CVS revision 1.117, thanks to Eric Leblond. (Closes: #499770)
  * debian/control: Add ${misc:Depends} to applicable binary packages.
  * debian/rules, debian/libsasl2-modules, debian/libsasl2-modules-otp,
    debian/sasl2-bin: Add overrides for possible-gpl-code-linked-with-openssl
    lintian error.
  * debian/source.lintian-overrides: Add override for ancient-libtool lintian
    warning.
  * debian/sasl2-bin.postinst: Use set -e.
  * debian/patches/0022_gcc4.4_preprocessor_syntax.dpatch: Added patch to use
    test condition for #elif preprocessor directive. Required by GCC 4.4.
    Thanks to Martin Michlmayr. (Closes: #505042)
  * debian/cyrus-sasl2-dbg.dirs, debian/cyrus-sasl2-dbg.lintian-overrides,
    debian/rules: Add override because our -dbg package is not standardly
    named.
  * debian/control: Bump libdb version to 4.7. (Closes: #523007)
  * debian/sasl2-bin.postinst: Update to reflect libdb version change.
    Not strictly necessary since there were no database format changes
    betweek 4.6 and 4.7, but in the interest of completeness...

 -- Fabian Fagerholm <fabbe@debian.org>  Sat, 09 May 2009 22:56:52 +0300

cyrus-sasl2 (2.1.22.dfsg1-23) unstable; urgency=low

  * Add README.source to comply with Standards-Version 3.8.0
  * Fix watch file to use dversionmangle instead of uversionmangle

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 01 Sep 2008 11:05:12 -0400

cyrus-sasl2 (2.1.22.dfsg1-22) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * Added Slovak translation, thanks to Ivan Masár (Closes: #489268)

  [ Fabian Fagerholm ]
  * Added Japanese translation, thanks to Hideki Yamane. (Closes: #493004)
  * Bump standards-version.

 -- Fabian Fagerholm <fabbe@debian.org>  Sat, 02 Aug 2008 15:57:11 +0300

cyrus-sasl2 (2.1.22.dfsg1-21) unstable; urgency=high

  [ Fabian Fagerholm ]
  * Add Basque translation, thanks to Piarres Beobide. (Closes: #481541)
  * Install README.Debian into libsasl2-2 package. (Closes: #485289)

  [ Roberto C. Sanchez ]
  * Remove bashism from debian/rules. (Closes: #484374)
  * Add Homepage field to debian/control.

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 09 Jun 2008 21:27:23 +0300

cyrus-sasl2 (2.1.22.dfsg1-20) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.saslauthd.default, debian/sasl2-bin.README.Debian:
    Include warnings about running saslauthd with the -d option.
    (Closes: #474311)
  * debian/control: Adjust priorities to be consistent and policy-compliant.
    (Closes: #471534)
  * debian/rules: Remove generated man pages in clean target. (Partial sync
    with Ubuntu.)
  * debian/sasl2-bin.saslauthd.init: Remove bashism in init script.
    (Closes: #480613) Urgency set to high because of lenny release goal to
    make dash the default /bin/sh.

 -- Fabian Fagerholm <fabbe@debian.org>  Tue, 13 May 2008 22:28:11 +0300

cyrus-sasl2 (2.1.22.dfsg1-19) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/patches/00options, debian/patches/00list: Don't apply symbol
    versioning patch when building under ppc64. (Closes: #327479)
  * debian/control: Lower priority of -modules-gssapi-mit package to extra,
    because it conflicts with the -modules-gssapi-heimdal package. (Policy
    section 2.5.)
  * debian/patches/0015_saslutil_decode64_fix.dpatch, debian/patches/00list:
    Don't allow trailing CR/LF/CRLF in base64 data. (Closes: #431191)
  * debian/control: Don't build-depend on -1 revisions.
  * debian/cyrus-sasl2-doc.doc-base: Adjust section.

  [ Roberto C. Sanchez ]
  * debian/repack.sh: Automate repackaging of DFSG-compliant tarball

 -- Fabian Fagerholm <fabbe@debian.org>  Tue, 18 Mar 2008 20:04:21 +0200

cyrus-sasl2 (2.1.22.dfsg1-18) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/control: We conform to 3.7.3.0 of the Debian policy.
  * debian/control: Change Vcs-Browser to point to human-readable interface.
  * debian/patches/0018_auth_rimap_quotes.dpatch: Upstream fix for potential
    DoS attack through infinite loop. (Closes: #465561)
  * debian/patches/0019_ldap_deprecated.dpatch: Signal the use of deprecated
    LDAP functions to avoid implicit pointer conversion. (Closes: #463330)
  * debian/sasl2-bin.saslauthd.init: Eliminate bashism and use consistent
    comparison operators throughout. (Closes: #465355)
  * debian/sasl2-bin.postinst: Call db_stop to avoid hangs when starting
    saslauthd. (Closes: #459762)
  * debian/sasl2-bin.config: Don't call db_reset -- if the user has already
    seen the backup question, we don't ask again. (Closes: #464103)
  * debian/patches/0020_saslauthd_manpage.dpatch: Correct typos in saslauthd
    man page. Thanks to Thijs Kinkhorst. (Closes: #463016)
  * Add Dutch translation. (Closes: #465665)
  * debian/sasl2-bin.saslauthd.init: Remove S runlevel from Default-Stop.

  [ Roberto C. Sanchez ]
  * Add Swedish translation (Closes: #460496)

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 18 Feb 2008 15:37:12 +0200

cyrus-sasl2 (2.1.22.dfsg1-17) unstable; urgency=low

  [ Roberto C. Sanchez ]
  * debian/control: Add Vcs-Browser and Vcs-Svn tags.
  * Add Patrick Koetter's saslfinger utility to the package.
  * debian/cyrus-sasl2-doc.doc-base: add file

  [ Fabian Fagerholm ]
  * debian/control, debian/patches/0017_db4.6.dpatch,
    debian/sasl2-bin.postinst: Build against libdb4.6. Thanks to Martin Pitt
    for the suggestion and patch. (Closes: #458861)
  * debian/rules: Install saslfinger directly since we have better control
    to do it in the build scripts.
  * debian/sasl2-bin.lintian-overrides: Remove unneeded overrides.

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 07 Jan 2008 18:20:50 +0200

cyrus-sasl2 (2.1.22.dfsg1-16) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project.
    (Closes: #444377, #447176)
  * [Debconf translation updates]
  * Portuguese. (Closes: #445045)
  * Vietnamese. (Closes: #445130)
  * Galician. (Closes: #445199)
  * Tamil. (Closes: #445251)
  * German. (Closes: #442889, #445559)
  * Finnish. (Closes: #445847)
  * Brazilian Portuguese. (Closes: #446144)
  * Italian. (Closes: #446157)
  * Russian. (Closes: #446655)
  * Czech. (Closes: #446787)
  * French. (Closes: #447118)
  * Spanish.
  * debian/control: versioned depends update automatically

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Oct 2007 13:15:28 -0400

cyrus-sasl2 (2.1.22.dfsg1-15) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.saslauthd.init: allow running with NAME variable unset.
    (Closes: #436440, #436726)
  * debian/sasl2-bin.saslauthd.default: better in-file documentation.
  * debian/sasl2-bin.README.Debian: document what happens if you don't set
    the NAME variable.

  [ Roberto C. Sanchez ]
  * debian/po/es.po: add
  * debian/po/fr.po: add, thanks to Vincent Bernat (Closes: #433371)
  * debian/po/pt.po: add, thanks to Américo Monteiro (Closes: #436556)
  * debian/po/de.po: add, thanks to Helge Kreutzmann (Closes: #438719)
  * debian/po/pt_BR.po: add, thanks to Jefferson Alexandre (Closes: #439132)
  * debian/rules: Cleanup lintian warnings

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri,  7 Sep 2007 22:30:01 -0400

cyrus-sasl2 (2.1.22.dfsg1-14) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/control, debian/sasl2-bin.templates, debian/sasl2-bin.postinst,
    debian/po/templates.pot, debian/sasl2-bin.config: Build against libdb4.4.
    Upgrade the database format of /etc/sasldb2 on package upgrade. There is
    no support for automatic downgrade. (Closes: #354413, #421940)
  * debian/sasl2-bin.postinst: when creating an empty sasldb file, check for
    existence, not that it is a regular file.
  * debian/po/templates.pot: update translations template.

 -- Fabian Fagerholm <fabbe@debian.org>  Mon,  6 Aug 2007 09:16:21 +0300

cyrus-sasl2 (2.1.22.dfsg1-13) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/control, debian/sasl2-bin.templates, debian/po: make Debconf
    templates translatable. (Closes: #428048)
  * debian/rules, debian/control, debian/sasl-sample-client.sgml,
    debian/sasl-sample-server.sgml: Introduce man pages for
    sasl-sample-client and sasl-sample-server.
  * debian/rules: Allow the package to be built twice. The upstream build
    system cannot properly clean the source tree after a build, but this
    at least allows another build to be performed even though the tree is
    not exactly the same (some generated files are left, but they would be
    regenerated anyway). (Closes: #424169)

 -- Fabian Fagerholm <fabbe@debian.org>  Fri, 13 Jul 2007 11:54:56 +0300

cyrus-sasl2 (2.1.22.dfsg1-12) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.README.Debian: Small improvement to multi-init docs.
  * debian/control, debian/README.Debian: Change the wording regarding the
    need to install the modules packages, since they are not needed on all
    systems but are needed especially on servers that provide SASL
    authentication.
  * debian/control, debian/sasl2-bin.templates, debian/sasl2-bin.postinst,
    debian/rules, debian/sasl2-bin.postrm: Introduce Debconf prompt to ask
    for permission to remove /etc/sasldb2 on package purge, with fallback
    to not remove it when Debconf is not present. (Closes: #333416)
  * debian/sasl2-bin.postinst: Before creating the statoverride for the run
    directory, create it -- but only if the statoverride wasn't present
    already. The init script will recreate the directory if it's not there.

 -- Fabian Fagerholm <fabbe@debian.org>  Fri,  8 Jun 2007 12:57:11 +0300

cyrus-sasl2 (2.1.22.dfsg1-11) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.saslauthd.init: Complete rewrite to allow managing
    multiple saslauthd instances with a single init script. (Closes: #320377)
  * debian/sasl2-bin.saslauthd.default: Adjust main default file to new
    init script requirements.
  * debian/sasl2-bin.README.Debian: Document the new init script setup for
    sysadmins.

 -- Fabian Fagerholm <fabbe@debian.org>  Thu,  7 Jun 2007 13:37:51 +0300

cyrus-sasl2 (2.1.22.dfsg1-10) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/control: lower priority of libsasl2-modules to optional.
  * debian/control: make libsasl2-modules suggest either the MIT or Heimdal
    GSSAPI module.
  * debian/control: change ${Source-Version} into ${binary:Version} to
    ensure that we are up to date with current practise and are binNMU-safe.

  [ Roberto C. Sanchez ]
  * Urgency set to high to synchronize migration with cyrus-sasl2-heimdal.

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 May 2007 20:03:45 -0400

cyrus-sasl2 (2.1.22.dfsg1-9) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/rules: allow turning off SQL, LDAP and GSSAPI at build time,
    to ease bootstrapping new architectures (Closes: #404268).
  * debian/control: lower priority of libsasl2 to optional (Closes: #416561).
  * debian/control: remove transitional packages, conflict with Heimdal
    GSSAPI package.
  * debian/control: build-conflict with heimdal-dev.

 -- Fabian Fagerholm <fabbe@debian.org>  Fri, 20 Apr 2007 19:30:20 +0300

cyrus-sasl2 (2.1.22.dfsg1-8) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/control, libsasl2-2: update Conflicts on Postfix, need a more
    recent version still for everything to work.
  * debian/control: add libsasl2-gssapi-mit transitional package.
  * debian/control, libsasl2-2: add versioned Conflicts: libsasl2-gssapi-mit
    and libsasl2-krb4-mit. This means Kerberos 4 is no longer supported.
  * debian/control, libsasl2-modules-gssapi-mit: add versioned Conflicts: and
    Replaces: libsasl2-gssapi-mit, remove Provides: libsasl2-gssapi-mit.
  * debian/TODO: remember to remove the transitional packages post-etch.

 -- Fabian Fagerholm <fabbe@debian.org>  Wed, 13 Dec 2006 23:22:02 +0200

cyrus-sasl2 (2.1.22.dfsg1-7) unstable; urgency=high

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.postinst: create default statoverride entries for the
    saslauthd run directory and sasldb file, and create an empty sasldb file
    unless one already exists. (Closes: #401348)
  * debian/TODO: update.

 -- Fabian Fagerholm <fabbe@debian.org>  Fri,  8 Dec 2006 10:21:15 +0200

cyrus-sasl2 (2.1.22.dfsg1-6) unstable; urgency=medium

  [ Fabian Fagerholm ]
  * debian/control: add Provides: libsasl2-gssapi-mit, as suggested by
    Sam Hartman.
  * debian/patches/0015_saslutil_decode64_fix.dpatch: add check to succeed
    when input string is CR or LF terminated, as well. (Closes: #400955)
  * debian/sasl2-bin.saslauthd.init: if THREADS is not set, don't include
    the -n option, and let saslauthd fall back to the compiled-in default.
    (Closes: #401716)

 -- Fabian Fagerholm <fabbe@debian.org>  Tue,  5 Dec 2006 22:55:01 +0200

cyrus-sasl2 (2.1.22.dfsg1-5) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/control: libsasl2-2 conflicts with postfix (<< 2.3.4-2) because
    earlier versions of postfix use the old method of setting the plugin
    configuration path. (Closes: #400772)
  * debian/control: drop libsasl2-2-dev and use libsasl2-dev only.
  * debian/patches/0015_saslutil_decode64_fix.dpatch: make sasl_decode64
    ignore trailing CRLF in the input data. (Closes: #400955)

 -- Fabian Fagerholm <fabbe@debian.org>  Fri,  1 Dec 2006 22:41:02 +0200

cyrus-sasl2 (2.1.22.dfsg1-4) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/rules, etc.: Build sample-{client,server} and ship them with
    Debianized names (prefix sasl-) in sasl2-bin. (Closes: #305357)

 -- Fabian Fagerholm <fabbe@debian.org>  Tue, 21 Nov 2006 07:51:18 +0200

cyrus-sasl2 (2.1.22.dfsg1-3) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/control, debian/rules: Add cyrus-sasl2-dbg package and make
    dh_strip put debugging symbols in it. (Closes: #240767)
  * debian/sasl2-bin.saslauthd.init: Allow configurable run directory and
    pid file. (Closes: #201826)
  * debian/sasl2-bin.README.Debian: Short documentation on how to integrate
    saslauthd with Postfix.

 -- Fabian Fagerholm <fabbe@debian.org>  Fri, 17 Nov 2006 09:04:03 +0200

cyrus-sasl2 (2.1.22.dfsg1-2) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.saslauthd.init: Fix case when MECH_OPTIONS is empty.
    (Closes: #397818)
  * debian/sasl2-bin.saslauthd.default: Include an example for postfix users.
  * debian/rules: Preserve CFLAGS variable as suggested by Andreas Metzler.

  [ Roberto C. Sanchez ]
  * debian/rules: added '--sysconfdir=/etc' option for configure
    (Closes: #398137)

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 13 Nov 2006 08:46:05 +0200

cyrus-sasl2 (2.1.22.dfsg1-1) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/control: Adjust priority of packages to be more in line with
    policy and overrides.
  * debian/sasl2-bin.saslauthd.default: saslauthd can *not* use more than one
    authentication mechanism at a time. (Closes: #329716, #274182, #368189)
  * Repackage upstream tarball to remove non-DFSG-free IETF docs that were
    accidentally reintroduced for some reason. (Closes: #365183)
  * Remove non-DFSG-free IETF docs from trunk, so it corresponds to the
    repackaged tarball.
  * debian/patches/0012_xopen_crypt_prototype.dpatch: Avoid segfault on
    architectures where the size of a pointer is greater than the size of an
    integer. Dann Frazier reported and supplied the patch. (Closes: #397549)
  * debian/patches/0013_fix_hurd_build.dpatch: This patch had gotten lost,
    it fixes building on hurd-i386. (Closes: #397714)
  * debian/patches/0014_avoid_pic_overwrite: Don't overwrite PIC version of
    libsasldb.a with non-PIC version. This causes linking to fail when
    making shared objects on certain platforms such as amd64 and hppa.
    (Closes: #397603, #397605)
  * debian/rules: Move "-Wl,-z,defs" from CFLAGS to LDFLAGS to avoid a lot
    of irrelevant linker messages. Andreas Metzler spotted this.

 -- Fabian Fagerholm <fabbe@debian.org>  Thu,  9 Nov 2006 14:12:40 +0200

cyrus-sasl2 (2.1.22-1) unstable; urgency=low

  [ Fabian Fagerholm ]
  * debian/sasl2-bin.saslauthd.default: put back the descriptive comment
    about sasldb for saslauthd.
  * Upload to unstable (famous last words ;-).

 -- Fabian Fagerholm <fabbe@debian.org>  Tue,  7 Nov 2006 13:43:14 +0200

cyrus-sasl2 (2.1.22-0~pre05) experimental; urgency=low

  [ Fabian Fagerholm ]
  * debian/control: improve description of -doc package.
  * debian/control: add -modules-ldap package to -modules Suggests.
  * debian/control: build-depend on older libdb to ease upgrade.
  * debian/sasl2-bin.saslauthd.init: fix typo on line 31.
  * debian/sasl2-bin.saslauthd.init: if daemon is already running or already
    stopped, reflect this fact in the start or stop message, respectively.
  * debian/sasl2-bin.saslauthd.init: quote the user-supplied variable on
    line 51 to avoid errors when it contains a space-separated list.
  * debian/rules: socket directory is /var/run/saslauthd, fix typo.
  * debian/sasl2-bin.saslauthd.default: -T option doesn't work, remove.
  * debian/rules: enable sasldb support in saslauthd.
  * debian/rules: add test target (currently just builds the test suite).
  * debian/rules: clean up unneccessary file copying.
  * debian/patches/0009_sasldb_al.dpatch: fix building saslauthd with
    sasldb support.
  * debian/patches/0010_maintainer_mode.dpatch: use AM_MAINTAINER_MODE.
  * debian/patches/0011_saslauthd_ac_prog_libtool.dpatch: use AC_PROG_LIBTOOL
    in saslauthd's configure.in.

 -- Fabian Fagerholm <fabbe@debian.org>  Wed,  1 Nov 2006 23:55:50 +0200

cyrus-sasl2 (2.1.22-0~pre04) experimental; urgency=low

  [ Fabian Fagerholm ]
  * debian/rules: use /dev/urandom instead of /dev/random.
  * debian/README.Debian: document change to /dev/urandom.
  * Rename the package according to Steve Langasek's advice (based on a
    patch from Andreas Metzler).

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 30 Oct 2006 18:48:42 +0200

cyrus-sasl2 (2.1.22-0~pre03) experimental; urgency=low

  [ Roberto C. Sanchez ]
  * Acknowledge previous NMU (Closes: #275431)

  [ Fabian Fagerholm ]
  * debian/cyrus-sasl-2.1-bin.saslauthd.init: exit 0 when saslauthd binary
    is missing (policy 9.3.2) and exit 0 when START != yes.
  * debian/rules: enable --with-ldap and --enable-ldapdb.
  * debian/control: create an LDAP modules package.
  * debian/libsasl2-2-modules-ldap.{dirs,install}: install libldapdb.* into
    LDAP modules package.

  [ Andreas Metzler ]
  * debian/control: Change lsb-base from Build-Depends to Depends for
    cyrus-sasl-2.1-bin.

 -- Fabian Fagerholm <fabbe@debian.org>  Mon, 23 Oct 2006 17:27:18 +0300

cyrus-sasl2 (2.1.22-0~pre02) experimental; urgency=low

  [ Roberto C. Sanchez ]
  * debian/control: versioned conflict on libsasl2-modules allows
    installation of pre-release packages.

  [ Fabian Fagerholm ]
  * debian/rules: install dbconverter-2 as sasldbconverter2.
  * debian/rules: include man page for sasldbconverter2.
  * debian/changelog: clean up, rebuild for experimental.

 -- Fabian Fagerholm <fabbe@debian.org>  Fri, 20 Oct 2006 08:29:19 +0300

cyrus-sasl2 (2.1.22-0~pre01) experimental; urgency=low

  * Acknowledged previous NMUs (Closes: #274087, #344686, #362511, #245818)
    (Closes: #276637, #285605, #332703, #336485, #345880, #357527, #379846)
    (Closes: #248333, #315177, #324288, #361937, #242184, #256808, #202836)
    (Closes: #262339, #265751, #275498, #276849)

  [ Fabian Fagerholm ]
  * Adopted package (Closes: #368370)
  * Fixed static linking against libsasl2 (Closes: #282775)
  * debian/rules: Exit with an error if any of the auto* commands fail
    (Closes: #321760)
  * New upstream version (Closes: #316404)
    - Fixed crash with DIGEST-MD5 (Closes: #286285, #314724)
    - Built with courier authdaemon support (Closes: #328879)
    - sql plugin respects log_level settings (Closes: #296449)
  * debian/watch: Included a watch file (Closes: #205589)
  * debian/control, debian/rules: Switched from Heimdal to MIT Kerberos
    (Closes: #257306, #310438)
  * Repackaged upstream source to remove non-free docs (Closes: #365183)
  * debian/README.Debian: Document why libsasl2-modules is recommended
    (Closes: #302280, #365287)
  * debian/rules: Strip rpath from binaries and shared libraries when build
    inserts one.

  [ Roberto C. Sanchez ]
  * Added myself to Uploaders field
  * debian/control: Added missing Build-Depends on groff-base
  * debian/control: Changed build dependency from db4.2 to db4.4
    (Closes: #354413)
  * debian/rules: Made it so README.configure-options is actually populated
  * debian/rules: Prevent bogus ldconfig calls in postinst and postrm
  * debian/testsaslauthd.8: Added manual page for testsaslauthd(8)
  * debian/cyrus-sasl-2.1-bin.saslauthd.init: Improved socket and pidfile
    location flexibility (Closes: #254298, #300710, #287313)
  * debian/control: Changed libsasl2-2-modules-sql to depend on
    libsasl2-2-modules (Closes: #392571)
  * debian/rules: /etc/sasl at start of config search path (Closes: #211156)
  * Split OTP plugin into its own package (Closes: #251735)
  * debian/control: Made libsasl2-2-modules suggest
    libsasl2-2-modules-{sql,otp,gssapi-heimdal} (Closes: #348685)
  * debian/cyrus-sasl-2.1-bin.saslauthd.init: Useful errors (Closes: #257181)
  * debian/control: Added NTLM to description (Closes: #274402)
  * Added necessary config.h and Makefile to build samples (Closes: #190658)

 -- Fabian Fagerholm <fabbe@debian.org>  Thu, 19 Oct 2006 23:26:02 +0300

cyrus-sasl2 (2.1.19.dfsg1-0.5) unstable; urgency=low

  * Non-maintainer upload during BSP.
  * Changed init script for option -m in saslauthd.
    (Thanks Elmar Hoffmann for your Help)
    Closes: #364395.

 -- Michael Steinfurth <michael.steinfurth@fh-stralsund.de>  Sun, 17 Sep 2006 12:20:44 +0200

cyrus-sasl2 (2.1.19.dfsg1-0.4) unstable; urgency=high

  * Non-maintainer upload
  * Reverted to libdb4.2-dev.

 -- Peter Eisentraut <petere@debian.org>  Sat, 16 Sep 2006 00:19:18 +0200

cyrus-sasl2 (2.1.19.dfsg1-0.3) unstable; urgency=high

  * Use libkrb5-dev instead of heimdal-dev. Closes: #379846.
  * Use libdb4.3-dev instead of libdb4.2-dev. Closes: #336485.

 -- Peter Eisentraut <petere@debian.org>  Fri, 15 Sep 2006 18:30:19 +0200

cyrus-sasl2 (2.1.19.dfsg1-0.2) unstable; urgency=high

  * Non-maintainer upload
  * Applied upstream patch to fix remote denial of service
    [debian/patches/27_CVE-2006-1721.diff]
    Closes: #361937.

 -- dann frazier <dannf@debian.org>  Tue, 25 Apr 2006 09:39:43 -0600

cyrus-sasl2 (2.1.19.dfsg1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove dlcompat-20010505 subdirectory from source package as it
    contains non-DFSG-free source.  Required regeneration of the orig.tar.gz.
    Closes: #357527.

 -- dann frazier <dannf@debian.org>  Tue,  4 Apr 2006 16:38:20 -0600

cyrus-sasl2 (2.1.19-1.9) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/26_fix_hurd_build.diff: Fix FTBFS on hurd-i386.
    Closes: #324288.

 -- Michael Banck <mbanck@debian.org>  Fri, 20 Jan 2006 15:45:30 +0100

cyrus-sasl2 (2.1.19-1.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfixes.
  * Rebuild against current heimdal packages, dropping the build-dependency
    on the obsolete and soon-to-be-removed krb4 package; also drop the
    (misnamed) libsasl2-modules-kerberos-heimdal package as a result.
    Closes: #345737, 345880.
  * Drop mention of KERBEROS_V4 in the libsasl2 package description.
  * Build against libmysqlclient15 instead of the obsolete libmysqlclient10
    for libsasl2-modules-sql.
  * debian/patches/25_postgresql_pg_config.diff:
    Use pg-config --includedir in configure.in, so that cyrus-sasl2 continues
    to build when the postgresql include path changes as the postgresql
    maintainers are planning to do; and adjust the include path in
    plugins/sql.c accordingly.  Closes: #315177.

 -- Steve Langasek <vorlon@debian.org>  Sat,  7 Jan 2006 04:18:58 -0800

cyrus-sasl2 (2.1.19-1.7) unstable; urgency=low

  * Non-maintainer upload.
  * fix FTBFS in plugins/ntlm.c with patch 24. Closes: #332703

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  5 Nov 2005 20:07:50 +0100

cyrus-sasl2 (2.1.19-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfixes.
  * Drop the extern declaration of a static variable global_callbacks,
    allowing the package to build with gcc-4.0 (closes: #285605).
  * Build-Depend on libpq-dev instead of on postgresql-dev, as the
    latter package name is obsolete.  (Ref: #315177)

 -- Steve Langasek <vorlon@debian.org>  Wed, 24 Aug 2005 17:41:57 -0700

cyrus-sasl2 (2.1.19-1.5) unstable; urgency=emergency

  * NMU
  * Clean-up 2.1.19-1.4 NMU:
    + Since we were using an upstream CVS patch, add another patch
      fixing it instead of changing the (bad) upstream CVS patch;
      Sent this new patch upstream
    + Set *path to NULL, not to 0
  * Add Build-Conflicts: autoconf2.13, automake1.4
  * We want something easy to merge/further fix in sarge, so this cleanup
    is a good idea

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 16 Oct 2004 17:50:19 -0300

cyrus-sasl2 (2.1.19-1.4) unstable; urgency=low

  * NMU
  * fix the security fix: Initialize *path with 0.
    Closes: #276637.

 -- Andreas Barth <aba@debian.org>  Fri, 15 Oct 2004 20:26:41 +0200

cyrus-sasl2 (2.1.19-1.3) unstable; urgency=high

  * NMU
  * Fix minor issue with -1.2 in patch 15, to squash a compiler
    warning (just in case it becomes more than a warning in some arch):
    add missing "int" to extern declaration

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  8 Oct 2004 13:06:28 -0300

cyrus-sasl2 (2.1.19-1.2) unstable; urgency=high

  * NMU, since I am not sure Dima is back yet
  * SECURITY FIX: SASL_PATH environment variable must not be honoured on
    setuid environments, otherwise we have a local privilege escalation
    exploit (CVE: CAN-2004-0884), related advisories: RHSA-2004:546-02;
    GLSA 200410-05
    * upstream CVS: lib/common.c: don't honor SASL_PATH in setuid
      environment. from Gentoo (CVE CAN-2004-0884); (closes: #275431)
  * upstream CVS: plugins/kerberos4.c: document weirdness with openssl DES
  * upstream CVS: plugins/cram.c,plugins/anonymous.c,plugins/login.c,
    plugins/plain.c,plugins/sasldb.c: Fixed several 64 bit portability
    warnings
  * Forward port sasl_set_alloc locking patch from SASL 1.5, to avoid
    problems with the braindead idea of globals SASL has, and with libraries
    that think they can get around mucking with them (hello openldap!)
    (closes: #274087)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  8 Oct 2004 11:15:39 -0300

cyrus-sasl2 (2.1.19-1.1) unstable; urgency=medium

  * NMU with permission from the maintainer
  * Release Manager:
    SASL 2.1.18 (currently in sarge) is very unusable.  Please accept
    this upload for sarge.  The main reasons justifying this are:
    * Security fixes from upstream: at least one buffer overflow
      was plugged in 2.1.19, and the code was made more secure, which may
      have plugged other latent security bugs.
    * Essential feature: 2.1.18 has a very bad regression in that saslauthd
      cannot support realms embedded inside the username as previous
      versions did.  However, that regression is exactly how it should be
      behaving since day one, never mind that too many setups are hopeless
      with the realm information out-of-band.  2.1.19 adds a "-r" option to
      saslauthd which restores the former behaviour.  Both behaviours are
      needed, depending on the SASL mechs being used (one sends the realm
      out-of-band, the other in-band).  Users have complained loudly about
      this issue, not only in Debian, but in the SASL and Cyrus IMAP
      mailinglists as well.  For way too many people and setups, "-r" is
      essential
    * Essential bug fixes: Digest-MD5 and GSSAPI are quite broken in
      2.1.18, and extensive fixes were applied on them in 2.1.19.  In fact,
      2.1.18 GSSAPI does _not_ work completely right against Heimdall and
      MIT kerberos.
    * ABI version issue: the 2.1.19-1 Debian package was uploaded to
      _unstable_ before the freeze.  Maybe because of that, the maintainer
      did upgrade the shlibs dependency to 2.1.19 (I have confirmed that to be
      required for SASL modules, so it appears to be really required).
      Packages built in _unstable_ since them are being held back due to
      this issue.  The best fix for packages that use libsasl2 *is* getting
      this new version into sarge, due to all other fixes.
  * Bugs closed in 2.1.19-1, but not ackwnoleged before:
    * Fix FTBFS in hppa, due to broken libtool usage, thanks to Steve Langasek
      for the patch (closes: #245818)
    * 2.1.19 supports saslauthd "-r" option (closes: #248333, #256808)
  * Changes in this NMU:
    * upstream CVS: plugins/digestmd5.c: Fix handling of client realm callback
    * upstream CVS: plugins/gssapi.c: Memory management cleanup
    * upstream CVS: configure.in, plugins/gssapi.c: Wrap all GSS calls
      in mutexes when required by the implementation (closes: #202836)
      THIS PATCH PROBABLY SHOULD BE SET TO DISABLED BY DEFAULT WHEN MIT
      KERBEROS 1.3.5 ENTERS UNSTABLE
      (see https://bugzilla.andrew.cmu.edu/show_bug.cgi?id=2255)
    * Libtool is refreshed at every build, so this upload closes: #262339
    * debian/control: build-depend on debhelper (>= 4)
    * debian/control: build-depend on libtool (>= 1.5.6) instead of (>=
      1.5.2-1)
    * Fix initscript to return status 0 if stop called when daemon is
      already stopped (closes: #242184)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 14 Aug 2004 13:04:38 -0300

cyrus-sasl2 (2.1.19-1) unstable; urgency=medium

  * New upstream version (Closes: #259503, #259658)
  * Acknowledge the last NMU (closes: #254818)
  * Build against libdb4.2 (closes: #253894)
  * Fixed the path to saslauthd.conf in the saslauthd
    man page (Closes: #254454)

 -- Dima Barsky <dima@debian.org>  Sun,  4 Jul 2004 20:38:53 +0100

cyrus-sasl2 (2.1.18-4.1) unstable; urgency=low

  * NMU.
  * Fix FTBFS, non-PIC in shared lib (closes: #254818).

 -- Matthias Klose <doko@debian.org>  Fri, 21 May 2004 08:02:44 +0200

cyrus-sasl2 (2.1.18-4) unstable; urgency=medium

  * Added the build dependency on libtool

 -- Dima Barsky <dima@debian.org>  Mon, 19 Apr 2004 13:46:23 +0100

cyrus-sasl2 (2.1.18-3) unstable; urgency=medium

  * Update config.{sub,guess} at the build time
  * Added conflict with old MIT kerberos packages (Closes: #240714)

 -- Dima Barsky <dima@debian.org>  Sun, 18 Apr 2004 18:02:48 +0100

cyrus-sasl2 (2.1.18-2) unstable; urgency=low

  * Renamed libsasl2-modules-mysql to libsasl2-modules-sql
  * Reduced some packages' priority to optional, only the core remain important.
  * Enabled KRB4 (should've done it in 2.1.18-1).

 -- Dima Barsky <dima@debian.org>  Sun, 21 Mar 2004 01:07:40 +0000

cyrus-sasl2 (2.1.18-1) unstable; urgency=low

  * New upstream release (Closes: #232086)
  * Revised Build-Depends list (Closes: #212615)
  * Fixed typo in debian/control, thanks to hmh@debian.org (Closes: #213521)
  * Fixed mutex handling (Closes: #223253)
  * Use single -a for several mechanisms in /etc/init.d/saslauthd
    (Closes: #202354)
  * Fixed sasltestsuite (Closes: #217538)

 -- Dima Barsky <dima@debian.org>  Sat, 13 Mar 2004 16:16:26 +0000

cyrus-sasl2 (2.1.15-6) unstable; urgency=low

  * Acknowledging the last two NMUs (Closes: #213510, #212945, #212318, #211958)
  * Added -fno-strict-aliasing flag (Closes: #215862)

 -- Dima Barsky <dima@debian.org>  Sun, 26 Oct 2003 01:26:53 +0100

cyrus-sasl2 (2.1.15-5.2) unstable; urgency=low

  * NMU
  * Eeek, kill acinclude.m4 (what the FUCK is it doing there anyway?!)
    so as to correctly update the libtool environment (Closes: #213510)
  * While at it fix some stuff in the control file:
    + Section: libs for libsasl2-* since SASL runtime environment is NOT
      a devel suite
  * Document rather bluntly the extreme need for sasl modules for this
    lib to actually work in README.Debian

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 30 Sep 2003 21:14:56 -0300

cyrus-sasl2 (2.1.15-5.1) unstable; urgency=low

  * NMU
  * Rebuild, to get correct heimdal dependencies.  Also add comerr-dev to
    build-dependency list (Closes: #212945)
  * Build-depend on libtool1.4 (Closes: #212318)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 30 Sep 2003 13:56:28 -0300

cyrus-sasl2 (2.1.15-5) unstable; urgency=low

  * Set priority to "important" (Closes: #202876)
  * Run aclocal,autoconf,automake, and autoheader in saslauthd
    directory as well as the top one (Closes: #203096)
  * Registered a conflict between *-heimdal packages and *-mit ones
    (Closes: #202838)
  * Grabbed doc/components.html from the SASL CVS (Closes: #202642)
 -- Dima Barsky <dima@debian.org>  Thu, 31 Jul 2003 21:17:09 +0100

cyrus-sasl2 (2.1.15-4) unstable; urgency=low

  * Removed build dependency on libopenafs-dev, it was only required for
    SASL1. SASL2 can take the DES library from libssl-dev (Closes: #202569).

 -- Dima Barsky <dima@debian.org>  Wed, 23 Jul 2003 12:50:59 +0100

cyrus-sasl2 (2.1.15-3) unstable; urgency=low

  * Added build dependency on groff-base

 -- Dima Barsky <dima@debian.org>  Mon, 21 Jul 2003 12:39:50 +0100

cyrus-sasl2 (2.1.15-2) unstable; urgency=low

  * Added build dependency on dbs and libopenafs-dev

 -- Dima Barsky <dima@debian.org>  Mon, 21 Jul 2003 11:43:38 +0100

cyrus-sasl2 (2.1.15-1) unstable; urgency=low

  * New upstream release
  * Added LDAP_SASLAUTHD doc file to sasl2-bin (Closes: #201893)
  * Added build dependency on automake1.4 and autoconf2.13

 -- Dima Barsky <dima@debian.org>  Tue, 15 Jul 2003 21:39:08 +0100

cyrus-sasl2 (2.1.14-1) unstable; urgency=low

  * New upstream release
  * Changed the build system to dbs.
  * THe GSSAPI segfault has been fixed upstream (Closes: #192502)
  * Fixed a typo in the sasl2-bin description (Closes: #197070, #193958)
  * Made a separate package for the MYSQL plugin (Closes: #188716, #166702, #190673)
  * Moved libsasldb plugin into the libsasl2 package.

 -- Dima Barsky <dima@debian.org>  Mon, 14 Jul 2003 07:04:47 +0100

cyrus-sasl2 (2.1.12-1) unstable; urgency=low

  * New upstream release
  * Changed variable 'c' in testsuite.c:2871 from char to int
    (Closes: #177426)
  * Recompiled with the latest heimdal libraries (Closes: #179810)
  * Removed RFC documents from libsasl2 (Closes: #178987)

 -- Dima Barsky <dima@debian.org>  Sat, 15 Mar 2003 22:29:25 +0000

cyrus-sasl2 (2.1.10-1) unstable; urgency=low

  * New upstream release (Closes: #172453)
  * Included sasldbconverter2 (Closes: #170740)
  * Removed duplicate "--with-ldap" from debian/rules (Closes: #167858)
  * Added "--sysconfdir=/etc" to debian/rules (Closes: #167855)
  * Changed libsasl2 -> libsasl2-modules dependency from Suggests to
    Recommends (Closes: #171938)
  * Added "--enable-alwaystrue" to debian/rules (Closes: #170495)
  * Included testsaslauthd (Closes: #167876)
  * Included sasltestsuite (Closes: #166538)

 -- Dima Barsky <dima@debian.org>  Mon, 23 Dec 2002 16:07:31 +0000

cyrus-sasl2 (2.1.9-5) unstable; urgency=low

  * Updated libtool files inside saslauthd/config/ (Closes: #166810)
  * Enabled NTLM module
  * Enabled LDAP support for saslauthd

 -- Dima Barsky <dima@debian.org>  Mon, 28 Oct 2002 21:12:56 +0000

cyrus-sasl2 (2.1.9-4) unstable; urgency=low

  * Enabled DO_DLOPEN unconditionally in configure.in

 -- Dima Barsky <dima@debian.org>  Mon, 28 Oct 2002 00:20:55 +0000

cyrus-sasl2 (2.1.9-3) unstable; urgency=low

  * Added AM_MAINTAINER_MODE to configure.in

 -- Dima Barsky <dima@debian.org>  Sat, 26 Oct 2002 01:46:13 +0100

cyrus-sasl2 (2.1.9-2) unstable; urgency=low

  * Added dbconverter-2 as /usr/sbin/sasldbconverter-2
  * Added build dependency on zlib1g-dev

 -- Dima Barsky <dima@debian.org>  Fri, 25 Oct 2002 22:28:30 +0100

cyrus-sasl2 (2.1.9-1) unstable; urgency=low

  * New upstream release
  * shlibs now refers to the current version (Closes: #163845)
  * sasl2-bin now uses dpkg-statoverride to manage permissions of
    /var/run/saslauthd and /etc/sasldb2 (Closes: #163042, #164393)

 -- Dima Barsky <dima@debian.org>  Mon, 21 Oct 2002 22:01:01 +0100

cyrus-sasl2 (2.1.7-3) unstable; urgency=low

  * Added shlibs file (Closes: #162927)

 -- Dima Barsky <dima@debian.org>  Tue,  1 Oct 2002 17:44:36 +0100

cyrus-sasl2 (2.1.7-2) unstable; urgency=low

  * Build with versioned symbols
  * Another split: KERBEROS mechanism is now in a separate module (Closes: #154153)
  * README.Debian has been updated a while ago, we can
    close bug 146543 now. (Closes: #146543)

 -- Dima Barsky <dima@debian.org>  Mon, 30 Sep 2002 17:23:12 +0100

cyrus-sasl2 (2.1.7-1) unstable; urgency=low

  * New upstream version (Closes: #156286, #158296)
  * Enabled ldap and mysql (Closes: #155025, #154965)
  * /etc/sasldb2 and /var/run/saslauthd now belong to the group "sasl"
    and are group-readable (Closes: #151798)

 -- Dima Barsky <dima@debian.org>  Wed, 25 Sep 2002 15:51:12 +0100

cyrus-sasl2 (2.1.6-1) unstable; urgency=low

  * New upstream version
  * Make sure autoheader is not invoked at the build stage (Closes: #153127)

 -- Dima Barsky <dima@debian.org>  Wed, 17 Jul 2002 12:19:29 +0100

cyrus-sasl2 (2.1.5-7) unstable; urgency=low

  * Separated heimdal-dependent plugins into the
    libsasl2-modules-gssapi-heimdal package
  * Updated libtool to the latest version (Closes: #146229)
  * Changed permissions on /var/run/saslauthd to 711 (Closes: #151796)

 -- Dima Barsky <dima@debian.org>  Thu,  4 Jul 2002 09:24:42 +0100

cyrus-sasl2 (2.1.5-6) unstable; urgency=low

  * Removed build dependency on automake

 -- Dima Barsky <dima@debian.org>  Wed,  3 Jul 2002 09:51:47 +0100

cyrus-sasl2 (2.1.5-5) unstable; urgency=low

  * Added a few packages to the Build-Depends list

 -- Dima Barsky <dima@debian.org>  Tue,  2 Jul 2002 16:22:57 +0100

cyrus-sasl2 (2.1.5-4) unstable; urgency=low

  * Enabled DES, KERBEROS, and GSSAPI
  * Merged all modules into the package libsasl2-modules

 -- Dima Barsky <dima@debian.org>  Tue,  2 Jul 2002 13:10:10 +0100

cyrus-sasl2 (2.1.5-3) unstable; urgency=low

  * Enabled sasldb in saslauthd (Closes: 146791)

 -- Dima Barsky <dima@debian.org>  Tue,  2 Jul 2002 11:50:03 +0100

cyrus-sasl2 (2.1.5-2) unstable; urgency=low

  * Preserve /usr/lib/sasl2/*.la (Closes: #151567)

 -- Dima Barsky <dima@debian.org>  Mon,  1 Jul 2002 19:24:21 +0100

cyrus-sasl2 (2.1.5-1) unstable; urgency=low

  * New upstream version (Closes: #133458, #148693, #131792, #150957)
  * Added explicit rule for building libsasl2.a (Closes: #144200)
  * Added a warning about /dev/random to README.Debian (Closes: #146982)
  * /var/run/saslauthd/mux is now world-readable (Closes: #147484)
  * Modified sasl2-bin.default to make it clear that MECHANISMS is a
    space separated lists, so it should be quoted if there is more
    than one item in it (Closes: #146790)

 -- Dima Barsky <dima@debian.org>  Sun, 30 Jun 2002 01:19:16 +0100

cyrus-sasl2 (2.1.2-2) unstable; urgency=low

  * Fixed saslauthd man page (Closes: #131791)

 -- Dima Barsky <dima@debian.org>  Wed, 27 Mar 2002 15:27:39 +0000

cyrus-sasl2 (2.1.2-1) unstable; urgency=low

  * New upstream version
  * Changed --without-gssapi to --disable-gssapi
  * Closes: #131792

 -- Dima Barsky <dima@debian.org>  Tue, 26 Mar 2002 22:29:12 +0000

cyrus-sasl2 (2.1.1-0.2) unstable; urgency=low

  * Fix a naming problem with the init script.
  * Fix problems with the init script itself.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 17 Mar 2002 15:44:45 -0500

cyrus-sasl2 (2.1.1-0.1) unstable; urgency=low

  * New upstream version
  * Total rewrite of debian/rules, fold everything into nice, standard debhelper usage
  * Functionality to auto-start saslauthd, which configury through /etc/default/saslauthd

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 17 Mar 2002 15:09:55 -0500

cyrus-sasl2 (2.1.0-2) unstable; urgency=low

  * Added build dependency on libopie-dev

 -- Dima Barsky <dima@debian.org>  Sun, 27 Jan 2002 20:07:15 +0000

cyrus-sasl2 (2.1.0-1) unstable; urgency=low

  * Initial release of cyrus-sasl2

 -- Dima Barsky <dima@debian.org>  Sun, 20 Jan 2002 14:36:45 +0000
